path: /build/build/zfs-kmod-kernel-6.6-2.3.0+3.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y sys-apps/kmod virtual/modutils pkgconf virtual/libelf virtual/linux-sources
    kernel-6.6/macaroni-modules && luet cleanup && sed -i -e 's|^ZFS_KERNEL_COMPAT.*|ZFS_KERNEL_COMPAT="6.6"|g'
    -e 's|DEPMOD.*|DEPMOD=depmod|g' /var/git/meta-repo/kits/kernel-kit/sys-fs/zfs-kmod/zfs-kmod-2.3.0.ebuild
  - emerge -j ${JOBS} sys-fs/zfs-kmod -pv -t
  - |
    emerge -j ${JOBS} sys-fs/zfs-kmod
  - |
    eval 'rm -rf /zfs-kmod || true' && mkdir /zfs-kmod && \
    luet-portage --dir /zfs-kmod sys-fs/zfs-kmod
  - for i in $(find /zfs-kmod/lib/modules/6.6.104-macaroni/extra/ -name '*.ko') ;
    do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:0e38d64bc8ea904b0aa6ba98c7e65dbaaa78aedfcbae7f42d12e90fffa558b23
  package:
    name: zfs-kmod
    version: 2.3.0+3
    category: kernel-6.6
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.6
    annotations:
      kernel_module: true
    buildtimestamp: 2025-09-12 20:43:05.833201586 +0000 UTC m=+371.014958407
    labels:
      emerge.packages: sys-fs/zfs-kmod
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.6.104
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/.*
  - ^/usr/src/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9db94774ebe7f9c361cddebaea97afb196d90525ff70e8f9e821f57113aed3c6
compressiontype: zstd
files:
- lib/modules/6.6.104-macaroni/extra/spl.ko.zst
- lib/modules/6.6.104-macaroni/extra/zfs.ko.zst
package_cacheimage: ""
runtime:
  name: zfs-kmod
  version: 2.3.0+3
  category: kernel-6.6
  requires:
  - name: zfs-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: sys-fs/zfs-kmod
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.6.104
